changeset 1198:e127334a64fe

7143910: test/tools/apt/Basics/apt.sh fails with 'real' sh Reviewed-by: darcy Contributed-by: sonali.goel@oracle.com
author darcy
date Fri, 17 Feb 2012 15:24:40 -0800
parents 84b61130cbed
children be456f9c64e8
files test/tools/apt/Basics/apt.sh
diffstat 1 files changed, 4 insertions(+), 14 deletions(-) [+]
line wrap: on
line diff
--- a/test/tools/apt/Basics/apt.sh	Tue Feb 14 15:43:52 2012 -0800
+++ b/test/tools/apt/Basics/apt.sh	Fri Feb 17 15:24:40 2012 -0800
@@ -41,20 +41,10 @@
 esac
 
 # Verify apt executable does not exist
-test -e "${TESTJAVA}/bin/apt"
-
-RESULT=$?
-
-case "${RESULT}" in
-        0  )
-        echo "apt executable should not exist."
-        exit 1
-	;;
-
-        * )
-	;;
-esac
-
+if [ -f "${TESTJAVA}/bin/apt" -o -f "${TESTJAVA}/bin/apt.exe" ];then
+    echo "apt executable should not exist."
+    exit 1
+fi
 
 # Construct path to javac executable
 JAVAC="${TESTJAVA}/bin/javac ${TESTTOOLVMOPTS} -source 1.5 -sourcepath ${TESTSRC} -classpath ${TESTJAVA}/lib/tools.jar -d . "